com.microfocus.awm.meta.impl

## Class ApplicationOptionsImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.EObjectImpl
      - - com.microfocus.awm.meta.impl.AWMObjectImpl
        - - com.microfocus.awm.meta.impl.ApplicationOptionsImpl

- All Implemented Interfaces:
    ApplicationOptions, AWMObject, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

      public class ApplicationOptionsImpl
      extends AWMObjectImpl
      implements ApplicationOptions

  The following features are implemented:

  - `Custom Option`
  - `Application Action`
  - `Application Property`
  - `Default Generic Symbol`
  - `End Reference`
  - `EXITPARM`
  - `Generic Symbols`
  - `Max RC`
  - `Model ID`
  - `Root Containers Action`
  - `Start Reference`
  - `Version`
  - `Last Edit Client Version`
  - `Independent Affected Resource Contexts`
  - `Cache Elements`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `org.eclipse.emf.ecore.InternalEObject.EStore`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

      `ELAST_EOBJECT_FLAG`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ActionDescriptor` | `basicGetRootContainersAction()`
    `java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
    `org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
    `boolean` | `eIsSet(int featureID)`
    `void` | `eSet(int featureID, java.lang.Object newValue)`
    `void` | `eUnset(int featureID)`
    `org.eclipse.emf.common.util.EList<RApplicationAction>` | `getApplicationAction()`
    `org.eclipse.emf.common.util.EList<RApplicationProperty>` | `getApplicationProperty()`
    `org.eclipse.emf.common.util.EList<SpecificAttribute>` | `getCustomOption()`
    `java.lang.String` | `getDefaultGenericSymbol()`
    `java.lang.String` | `getEndReference()`
    `java.lang.String` | `getEXITPARM()`
    `org.eclipse.emf.common.util.EList<java.lang.String>` | `getGenericSymbols()`
    `java.lang.String` | `getLastEditClientVersion()`
    `int` | `getMaxRC()`
    `java.lang.String` | `getModelID()`
    `ActionDescriptor` | `getRootContainersAction()`
    `java.lang.String` | `getStartReference()`
    `java.lang.String` | `getVersion()`
    `boolean` | `isCacheElements()`
    `boolean` | `isIndependentAffectedResourceContexts()`
    `boolean` | `isSetCacheElements()`
    `boolean` | `isSetEndReference()`
    `boolean` | `isSetEXITPARM()`
    `boolean` | `isSetIndependentAffectedResourceContexts()`
    `boolean` | `isSetLastEditClientVersion()`
    `boolean` | `isSetMaxRC()`
    `boolean` | `isSetModelID()`
    `boolean` | `isSetStartReference()`
    `void` | `setCacheElements(boolean newCacheElements)`
    `void` | `setDefaultGenericSymbol(java.lang.String newDefaultGenericSymbol)`
    `void` | `setEndReference(java.lang.String newEndReference)`
    `void` | `setEXITPARM(java.lang.String newEXITPARM)`
    `void` | `setIndependentAffectedResourceContexts(boolean newIndependentAffectedResourceContexts)`
    `void` | `setLastEditClientVersion(java.lang.String newLastEditClientVersion)`
    `void` | `setMaxRC(int newMaxRC)`
    `void` | `setModelID(java.lang.String newModelID)`
    `void` | `setRootContainersAction(ActionDescriptor newRootContainersAction)`
    `void` | `setStartReference(java.lang.String newStartReference)`
    `void` | `setVersion(java.lang.String newVersion)`
    `java.lang.String` | `toString()`
    `void` | `unsetCacheElements()`
    `void` | `unsetEndReference()`
    `void` | `unsetEXITPARM()`
    `void` | `unsetIndependentAffectedResourceContexts()`
    `void` | `unsetLastEditClientVersion()`
    `void` | `unsetMaxRC()`
    `void` | `unsetModelID()`
    `void` | `unsetStartReference()`

    - ### Methods inherited from class com.microfocus.awm.meta.impl.AWMObjectImpl

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

      `eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMObject

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Method Detail

    - #### getGenericSymbols

          public org.eclipse.emf.common.util.EList<java.lang.String> getGenericSymbols()

      Specified by:
        `getGenericSymbols` in interface `ApplicationOptions`
      Returns:
        the value of the 'Generic Symbols' attribute list.
      See Also:
        `TaurusPackage.getApplicationOptions_GenericSymbols()`

    - #### getCustomOption

          public org.eclipse.emf.common.util.EList<SpecificAttribute> getCustomOption()

      Specified by:
        `getCustomOption` in interface `ApplicationOptions`
      Returns:
        the value of the 'Custom Option' containment reference list.
      See Also:
        `TaurusPackage.getApplicationOptions_CustomOption()`

    - #### getApplicationAction

          public org.eclipse.emf.common.util.EList<RApplicationAction> getApplicationAction()

      Specified by:
        `getApplicationAction` in interface `ApplicationOptions`
      Returns:
        the value of the 'Application Action' containment reference list.
      See Also:
        `TaurusPackage.getApplicationOptions_ApplicationAction()`

    - #### getApplicationProperty

          public org.eclipse.emf.common.util.EList<RApplicationProperty> getApplicationProperty()

      Specified by:
        `getApplicationProperty` in interface `ApplicationOptions`
      Returns:
        the value of the 'Application Property' containment reference list.
      See Also:
        `TaurusPackage.getApplicationOptions_ApplicationProperty()`

    - #### getDefaultGenericSymbol

          public java.lang.String getDefaultGenericSymbol()

      Specified by:
        `getDefaultGenericSymbol` in interface `ApplicationOptions`
      Returns:
        the value of the 'Default Generic Symbol' attribute.
      See Also:
        `ApplicationOptions.setDefaultGenericSymbol(String)`, `TaurusPackage.getApplicationOptions_DefaultGenericSymbol()`

    - #### setDefaultGenericSymbol

          public void setDefaultGenericSymbol(java.lang.String newDefaultGenericSymbol)

      Specified by:
        `setDefaultGenericSymbol` in interface `ApplicationOptions`
      Parameters:
        `newDefaultGenericSymbol` - the new value of the 'Default Generic Symbol' attribute.
      See Also:
        `ApplicationOptions.getDefaultGenericSymbol()`

    - #### getEndReference

          public java.lang.String getEndReference()

      Specified by:
        `getEndReference` in interface `ApplicationOptions`
      Returns:
        the value of the 'End Reference' attribute.
      See Also:
        `ApplicationOptions.isSetEndReference()`, `ApplicationOptions.unsetEndReference()`, `ApplicationOptions.setEndReference(String)`, `TaurusPackage.getApplicationOptions_EndReference()`

    - #### setEndReference

          public void setEndReference(java.lang.String newEndReference)

      Specified by:
        `setEndReference` in interface `ApplicationOptions`
      Parameters:
        `newEndReference` - the new value of the 'End Reference' attribute.
      See Also:
        `ApplicationOptions.isSetEndReference()`, `ApplicationOptions.unsetEndReference()`, `ApplicationOptions.getEndReference()`

    - #### unsetEndReference

          public void unsetEndReference()

      Specified by:
        `unsetEndReference` in interface `ApplicationOptions`
      See Also:
        `ApplicationOptions.isSetEndReference()`, `ApplicationOptions.getEndReference()`, `ApplicationOptions.setEndReference(String)`

    - #### isSetEndReference

          public boolean isSetEndReference()

      Specified by:
        `isSetEndReference` in interface `ApplicationOptions`
      Returns:
        whether the value of the 'End Reference' attribute is set.
      See Also:
        `ApplicationOptions.unsetEndReference()`, `ApplicationOptions.getEndReference()`, `ApplicationOptions.setEndReference(String)`

    - #### getEXITPARM

          public java.lang.String getEXITPARM()

      Specified by:
        `getEXITPARM` in interface `ApplicationOptions`
      Returns:
        the value of the 'EXITPARM' attribute.
      See Also:
        `ApplicationOptions.isSetEXITPARM()`, `ApplicationOptions.unsetEXITPARM()`, `ApplicationOptions.setEXITPARM(String)`, `TaurusPackage.getApplicationOptions_EXITPARM()`

    - #### setEXITPARM

          public void setEXITPARM(java.lang.String newEXITPARM)

      Specified by:
        `setEXITPARM` in interface `ApplicationOptions`
      Parameters:
        `newEXITPARM` - the new value of the 'EXITPARM' attribute.
      See Also:
        `ApplicationOptions.isSetEXITPARM()`, `ApplicationOptions.unsetEXITPARM()`, `ApplicationOptions.getEXITPARM()`

    - #### unsetEXITPARM

          public void unsetEXITPARM()

      Specified by:
        `unsetEXITPARM` in interface `ApplicationOptions`
      See Also:
        `ApplicationOptions.isSetEXITPARM()`, `ApplicationOptions.getEXITPARM()`, `ApplicationOptions.setEXITPARM(String)`

    - #### isSetEXITPARM

          public boolean isSetEXITPARM()

      Specified by:
        `isSetEXITPARM` in interface `ApplicationOptions`
      Returns:
        whether the value of the 'EXITPARM' attribute is set.
      See Also:
        `ApplicationOptions.unsetEXITPARM()`, `ApplicationOptions.getEXITPARM()`, `ApplicationOptions.setEXITPARM(String)`

    - #### getMaxRC

          public int getMaxRC()

      Specified by:
        `getMaxRC` in interface `ApplicationOptions`
      Returns:
        the value of the 'Max RC' attribute.
      See Also:
        `ApplicationOptions.isSetMaxRC()`, `ApplicationOptions.unsetMaxRC()`, `ApplicationOptions.setMaxRC(int)`, `TaurusPackage.getApplicationOptions_MaxRC()`

    - #### setMaxRC

          public void setMaxRC(int newMaxRC)

      Specified by:
        `setMaxRC` in interface `ApplicationOptions`
      Parameters:
        `newMaxRC` - the new value of the 'Max RC' attribute.
      See Also:
        `ApplicationOptions.isSetMaxRC()`, `ApplicationOptions.unsetMaxRC()`, `ApplicationOptions.getMaxRC()`

    - #### unsetMaxRC

          public void unsetMaxRC()

      Specified by:
        `unsetMaxRC` in interface `ApplicationOptions`
      See Also:
        `ApplicationOptions.isSetMaxRC()`, `ApplicationOptions.getMaxRC()`, `ApplicationOptions.setMaxRC(int)`

    - #### isSetMaxRC

          public boolean isSetMaxRC()

      Specified by:
        `isSetMaxRC` in interface `ApplicationOptions`
      Returns:
        whether the value of the 'Max RC' attribute is set.
      See Also:
        `ApplicationOptions.unsetMaxRC()`, `ApplicationOptions.getMaxRC()`, `ApplicationOptions.setMaxRC(int)`

    - #### getModelID

          public java.lang.String getModelID()

      Specified by:
        `getModelID` in interface `ApplicationOptions`
      Returns:
        the value of the 'Model ID' attribute.
      See Also:
        `ApplicationOptions.isSetModelID()`, `ApplicationOptions.unsetModelID()`, `ApplicationOptions.setModelID(String)`, `TaurusPackage.getApplicationOptions_ModelID()`

    - #### setModelID

          public void setModelID(java.lang.String newModelID)

      Specified by:
        `setModelID` in interface `ApplicationOptions`
      Parameters:
        `newModelID` - the new value of the 'Model ID' attribute.
      See Also:
        `ApplicationOptions.isSetModelID()`, `ApplicationOptions.unsetModelID()`, `ApplicationOptions.getModelID()`

    - #### unsetModelID

          public void unsetModelID()

      Specified by:
        `unsetModelID` in interface `ApplicationOptions`
      See Also:
        `ApplicationOptions.isSetModelID()`, `ApplicationOptions.getModelID()`, `ApplicationOptions.setModelID(String)`

    - #### isSetModelID

          public boolean isSetModelID()

      Specified by:
        `isSetModelID` in interface `ApplicationOptions`
      Returns:
        whether the value of the 'Model ID' attribute is set.
      See Also:
        `ApplicationOptions.unsetModelID()`, `ApplicationOptions.getModelID()`, `ApplicationOptions.setModelID(String)`

    - #### getRootContainersAction

          public ActionDescriptor getRootContainersAction()

      Specified by:
        `getRootContainersAction` in interface `ApplicationOptions`
      Returns:
        the value of the 'Root Containers Action' reference.
      See Also:
        `ApplicationOptions.setRootContainersAction(ActionDescriptor)`, `TaurusPackage.getApplicationOptions_RootContainersAction()`

    - #### basicGetRootContainersAction

          public ActionDescriptor basicGetRootContainersAction()

    - #### setRootContainersAction

          public void setRootContainersAction(ActionDescriptor newRootContainersAction)

      Specified by:
        `setRootContainersAction` in interface `ApplicationOptions`
      Parameters:
        `newRootContainersAction` - the new value of the 'Root Containers Action' reference.
      See Also:
        `ApplicationOptions.getRootContainersAction()`

    - #### getStartReference

          public java.lang.String getStartReference()

      Specified by:
        `getStartReference` in interface `ApplicationOptions`
      Returns:
        the value of the 'Start Reference' attribute.
      See Also:
        `ApplicationOptions.isSetStartReference()`, `ApplicationOptions.unsetStartReference()`, `ApplicationOptions.setStartReference(String)`, `TaurusPackage.getApplicationOptions_StartReference()`

    - #### setStartReference

          public void setStartReference(java.lang.String newStartReference)

      Specified by:
        `setStartReference` in interface `ApplicationOptions`
      Parameters:
        `newStartReference` - the new value of the 'Start Reference' attribute.
      See Also:
        `ApplicationOptions.isSetStartReference()`, `ApplicationOptions.unsetStartReference()`, `ApplicationOptions.getStartReference()`

    - #### unsetStartReference

          public void unsetStartReference()

      Specified by:
        `unsetStartReference` in interface `ApplicationOptions`
      See Also:
        `ApplicationOptions.isSetStartReference()`, `ApplicationOptions.getStartReference()`, `ApplicationOptions.setStartReference(String)`

    - #### isSetStartReference

          public boolean isSetStartReference()

      Specified by:
        `isSetStartReference` in interface `ApplicationOptions`
      Returns:
        whether the value of the 'Start Reference' attribute is set.
      See Also:
        `ApplicationOptions.unsetStartReference()`, `ApplicationOptions.getStartReference()`, `ApplicationOptions.setStartReference(String)`

    - #### getVersion

          public java.lang.String getVersion()

      Specified by:
        `getVersion` in interface `ApplicationOptions`
      Returns:
        the value of the 'Version' attribute.
      See Also:
        `ApplicationOptions.setVersion(String)`, `TaurusPackage.getApplicationOptions_Version()`

    - #### setVersion

          public void setVersion(java.lang.String newVersion)

      Specified by:
        `setVersion` in interface `ApplicationOptions`
      Parameters:
        `newVersion` - the new value of the 'Version' attribute.
      See Also:
        `ApplicationOptions.getVersion()`

    - #### getLastEditClientVersion

          public java.lang.String getLastEditClientVersion()

      Specified by:
        `getLastEditClientVersion` in interface `ApplicationOptions`
      Returns:
        the value of the 'Last Edit Client Version' attribute.
      See Also:
        `ApplicationOptions.isSetLastEditClientVersion()`, `ApplicationOptions.unsetLastEditClientVersion()`, `ApplicationOptions.setLastEditClientVersion(String)`, `TaurusPackage.getApplicationOptions_LastEditClientVersion()`

    - #### setLastEditClientVersion

          public void setLastEditClientVersion(java.lang.String newLastEditClientVersion)

      Specified by:
        `setLastEditClientVersion` in interface `ApplicationOptions`
      Parameters:
        `newLastEditClientVersion` - the new value of the 'Last Edit Client Version' attribute.
      See Also:
        `ApplicationOptions.isSetLastEditClientVersion()`, `ApplicationOptions.unsetLastEditClientVersion()`, `ApplicationOptions.getLastEditClientVersion()`

    - #### unsetLastEditClientVersion

          public void unsetLastEditClientVersion()

      Specified by:
        `unsetLastEditClientVersion` in interface `ApplicationOptions`
      See Also:
        `ApplicationOptions.isSetLastEditClientVersion()`, `ApplicationOptions.getLastEditClientVersion()`, `ApplicationOptions.setLastEditClientVersion(String)`

    - #### isSetLastEditClientVersion

          public boolean isSetLastEditClientVersion()

      Specified by:
        `isSetLastEditClientVersion` in interface `ApplicationOptions`
      Returns:
        whether the value of the 'Last Edit Client Version' attribute is set.
      See Also:
        `ApplicationOptions.unsetLastEditClientVersion()`, `ApplicationOptions.getLastEditClientVersion()`, `ApplicationOptions.setLastEditClientVersion(String)`

    - #### isIndependentAffectedResourceContexts

          public boolean isIndependentAffectedResourceContexts()

      Specified by:
        `isIndependentAffectedResourceContexts` in interface `ApplicationOptions`
      Returns:
        the value of the 'Independent Affected Resource Contexts' attribute.
      See Also:
        `ApplicationOptions.isSetIndependentAffectedResourceContexts()`, `ApplicationOptions.unsetIndependentAffectedResourceContexts()`, `ApplicationOptions.setIndependentAffectedResourceContexts(boolean)`, `TaurusPackage.getApplicationOptions_IndependentAffectedResourceContexts()`

    - #### setIndependentAffectedResourceContexts

          public void setIndependentAffectedResourceContexts(boolean newIndependentAffectedResourceContexts)

      Specified by:
        `setIndependentAffectedResourceContexts` in interface `ApplicationOptions`
      Parameters:
        `newIndependentAffectedResourceContexts` - the new value of the 'Independent Affected Resource Contexts' attribute.
      See Also:
        `ApplicationOptions.isSetIndependentAffectedResourceContexts()`, `ApplicationOptions.unsetIndependentAffectedResourceContexts()`, `ApplicationOptions.isIndependentAffectedResourceContexts()`

    - #### unsetIndependentAffectedResourceContexts

          public void unsetIndependentAffectedResourceContexts()

      Specified by:
        `unsetIndependentAffectedResourceContexts` in interface `ApplicationOptions`
      See Also:
        `ApplicationOptions.isSetIndependentAffectedResourceContexts()`, `ApplicationOptions.isIndependentAffectedResourceContexts()`, `ApplicationOptions.setIndependentAffectedResourceContexts(boolean)`

    - #### isSetIndependentAffectedResourceContexts

          public boolean isSetIndependentAffectedResourceContexts()

      Specified by:
        `isSetIndependentAffectedResourceContexts` in interface `ApplicationOptions`
      Returns:
        whether the value of the 'Independent Affected Resource Contexts' attribute is set.
      See Also:
        `ApplicationOptions.unsetIndependentAffectedResourceContexts()`, `ApplicationOptions.isIndependentAffectedResourceContexts()`, `ApplicationOptions.setIndependentAffectedResourceContexts(boolean)`

    - #### isCacheElements

          public boolean isCacheElements()

      Specified by:
        `isCacheElements` in interface `ApplicationOptions`
      Returns:
        the value of the 'Cache Elements' attribute.
      See Also:
        `ApplicationOptions.isSetCacheElements()`, `ApplicationOptions.unsetCacheElements()`, `ApplicationOptions.setCacheElements(boolean)`, `TaurusPackage.getApplicationOptions_CacheElements()`

    - #### setCacheElements

          public void setCacheElements(boolean newCacheElements)

      Specified by:
        `setCacheElements` in interface `ApplicationOptions`
      Parameters:
        `newCacheElements` - the new value of the 'Cache Elements' attribute.
      See Also:
        `ApplicationOptions.isSetCacheElements()`, `ApplicationOptions.unsetCacheElements()`, `ApplicationOptions.isCacheElements()`

    - #### unsetCacheElements

          public void unsetCacheElements()

      Specified by:
        `unsetCacheElements` in interface `ApplicationOptions`
      See Also:
        `ApplicationOptions.isSetCacheElements()`, `ApplicationOptions.isCacheElements()`, `ApplicationOptions.setCacheElements(boolean)`

    - #### isSetCacheElements

          public boolean isSetCacheElements()

      Specified by:
        `isSetCacheElements` in interface `ApplicationOptions`
      Returns:
        whether the value of the 'Cache Elements' attribute is set.
      See Also:
        `ApplicationOptions.unsetCacheElements()`, `ApplicationOptions.isCacheElements()`, `ApplicationOptions.setCacheElements(boolean)`

    - #### eInverseRemove

          public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                                int featureID,
                                                                                org.eclipse.emf.common.notify.NotificationChain msgs)

      Overrides:
        `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

    - #### eGet

          public java.lang.Object eGet(int featureID,
                                       boolean resolve,
                                       boolean coreType)

      Specified by:
        `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eGet` in class `AWMObjectImpl`

    - #### eSet

          public void eSet(int featureID,
                           java.lang.Object newValue)

      Specified by:
        `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eSet` in class `AWMObjectImpl`

    - #### eUnset

          public void eUnset(int featureID)

      Specified by:
        `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eUnset` in class `AWMObjectImpl`

    - #### eIsSet

          public boolean eIsSet(int featureID)

      Specified by:
        `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eIsSet` in class `AWMObjectImpl`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `AWMObjectImpl`

Copyright © 2015 Micro Focus GmbH. All rights reserved.